char *help = "\n"
"\n"
" EBC2ASC - Translate an EBCIDC stream to ASCII.\n"
"           (replace some control codes with blanks)\n"
"\n"
" usage:\n"
"       EBC2ASC [{<text_file>}]\n";

#include <stdio.h>
#include <stdlib.h>

                                                           
void  ebc2asc(void);
int   main (int, char *[]);


void  ebc2asc()
{                                                          
   unsigned char  c;
                                                           
   while ( (c = (unsigned char) getchar() ) != 0x00ff )
      putchar( table[c] );                                 
}
                                                           

                                                           

int main (                                                 
/*   8      9      |                                       */
int   argc,
char *argv[]                                               
)
{                                                          
   /* parse command line options */
   while ( --argc > 0  &&  (*++argv)[0] == '-' )           
      switch ( (*argv)[1] )  {
      case '?':
      default:
         fprintf( stderr, "%s", help );
         exit( 1 );
      }

   if ( argc > 0 )
      while ( argc-- )  {
         if ( freopen( *argv, "r", stdin ) == NULL )  {
            fprintf( stderr,"EBC2ASC: cannot open '%s'\n", *argv );
            exit( 1 );
         }
         ebc2asc();
         ++argv;
      }
   else
      ebc2asc();

   return( 0 );
}

